Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.layoutmgr
Class RelSide

    java.lang.Object
      org.apache.fop.layoutmgr.RelSide

public final class RelSide
extends java.lang.Object

Enum class for relative sides.

Field Summary
`static RelSide` | `AFTER` the after side
`static RelSide` | `BEFORE` the before side
`static RelSide` | `END` the end side
`static RelSide` | `START` the start side

Method Summary
`java.lang.String` | `getName()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BEFORE

    public static final RelSide BEFORE

  the before side

### AFTER

    public static final RelSide AFTER

  the after side

### START

    public static final RelSide START

  the start side

### END

    public static final RelSide END

  the end side

Method Detail

### getName

    public java.lang.String getName()

  Returns:
    the name of the enum

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.